# $Revision: 1.21.2.1 $, $Date: 2007/03/12 01:04:44 $
%define		dictname wn
Summary:	WordNet lexical reference system for dictd
Summary(pl):	System referencji sownikowych WordNet dla dictd
Name:		dict-%{dictname}
Version:	2.0
Release:	3
License:	Free to use, but see http://www.cogsci.princeton.edu/~wn/
Group:		Applications/Dictionaries
# note: pre means preformatted
Source0:	ftp://ftp.dict.org/pub/dict/pre/%{name}-%{version}-pre.tar.gz
# Source0-md5:	fcfedcc13815cde1e28103b61c05c168
URL:		http://www.dict.org/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{_sysconfdir}/dictd
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains WordNet (r) %{version} Lexical Database formatted for
use by the dictionary server in the dictd package.

%description -l pl
Ten pakiet zawiera leksykaln baz danych WordNet (r) %{version} sformatowan
do uywania z serwerem sownika dictd.

%prep
%setup -c -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# WordNet %{version} Lexical Database dictionary
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf
mv %{dictname}.* $RPM_BUILD_ROOT%{_datadir}/dictd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q dictd restart

%postun
if [ "$1" = 0 ]; then
	%service -q dictd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dict-wn.spec,v $
Revision 1.21.2.1  2007/03/12 01:04:44  glen
- HEAD merge

Revision 1.21  2004/08/18 18:04:30  domelu
- rel. 2 to rebuild

Revision 1.20  2004/06/25 23:41:04  wolf
- 2.0

Revision 1.19  2003/11/23 03:02:12  undefine
- release 2 to rebuild with ac

Revision 1.18  2003/06/16 19:22:51  blues
- small fixes based on changes by kloczek

Revision 1.17  2003/05/28 12:58:50  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:46:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/12/28 11:46:09  gotar
- forced my version of 1.7a:
- more unified with other dicts,
- removed BR: autoconf, dictzip,
- standard %buildsubdir,
- other cosmetics.

Revision 1.13  2002/09/09 14:31:48  gotar
- cosmetics,
- unified config entries and dict-* specs appearance.

Revision 1.12  2002/05/21 23:12:56  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 16:11:52  arturs
- fixed a small typo

Revision 1.10  2002/04/25 11:53:24  kloczek
- release 3.

Revision 1.9  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/21 14:52:37  qboosh
- pl translations

Revision 1.5  2001/10/23 15:30:14  undefine
- ac stuff (STBR all dict*)

Revision 1.4  2001/07/26 02:57:29  agaran
- changed group (Dictionary => Dictionaries)

Revision 1.3  2000/08/14 09:19:14  mis
- /etc/dictd is used instead of modify /etc/dictd.conf in %post
- release 2

Revision 1.1  2000/07/20 09:15:05  mis
- initial version
